Page MenuHomePhabricator

[Utils][vim] Highlight CHECK-EMPTY: & CHECK-COUNT: directives
ClosedPublic

Authored by zsrkmyn on Apr 22 2021, 11:08 PM.

Diff Detail

Event Timeline

zsrkmyn requested review of this revision.Apr 22 2021, 11:08 PM
zsrkmyn created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptApr 22 2021, 11:08 PM

Note, many prefixes are not called CHECK*...

Note, many prefixes are not called CHECK*...

Yea, but most directives with CHECK prefix are already highlighted. This patch just adds EMPTY and COUNT support.

porglezomp accepted this revision.Apr 26 2021, 3:43 AM

Style nit on quote-vs-slash, but otherwise this looks good to me.

llvm/utils/vim/syntax/llvm.vim
237–238

Minor nit, I don't think there's any reason these patterns need to use quotes, they could be changed to slash to match all of the surrounding patterns

This revision is now accepted and ready to land.Apr 26 2021, 3:43 AM
zsrkmyn updated this revision to Diff 344713.May 12 2021, 1:38 AM
zsrkmyn marked an inline comment as done.

Would you mind helping me commit this patch if there's no further comment? Thanks :-)

This revision was automatically updated to reflect the committed changes.